Subject: Re: use of Win32 native editor with cygwin
From: [email-masked] (Stephen L Arnold)

21 Nov 1998 14:06:53 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

On 20 Nov 98, Ahlsen-Girard, Edward had questions about use of 
Win32 native editor with cygwin:

> I am a complete, no kidding, novice wannabee C++  programmer (trying to
> learn for the first time), and I am wondering if anyone has advice on how
> to use The SemWare Editor 32 (a console-mode editor for Win32) with
> Cygwin.  If you consider this desire to be insane, feel free to say so,
> but in that case please explain why someone who does not know how to
> program in C++ yet would be better served by trying to use vi or emacs
> instead.

I have no idea what the hell the SemWare Editor 32 is, but I've got 
a couple suggestions for you:

PFE - a free win32 editor with some nice programmer's features (a 
little C sensitivity, macros, etc).

vim/gvim - console and gui versions of VI iMproved (color syntax 
highlighting, tags, etc).  Much easier to configure than emacs (but 
not nearly as powerful).

emacs/ntemacs - you said you'd prefer not, but people have built 
emacs under cygwin, and the win32 version is up to 20.x now.

GRASP - win32 and unix/linux versions are available (no source 
yet).  It's an IDE for C/C++/Ada/Java (color syntax, structure 
diagrams, etc) that comes pre-configured for GNAT 3.10, Cygwin B19, 
Sun JDK 1.1.6, and MSVC++ 4.2.  I just started playing around with 
it, so I haven't figured out all the stuff yet; it has project 
facilities, but doesn't generate a make file on its own.

Check out:

http://www.rain.org/~sarnold/basic_tools

http://www.rain.org/~sarnold/adv_tools

Later, Steve

***********************************************************
Steve Arnold                          [email-masked]
The salesman said "This machine requires Windows 95, NT, or
better."   The only thing I could think of was Linux.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".